---
title: MSGraphicsTrust
slug: Web/API/MSGraphicsTrust
tags:
  - msGraphicsTrust
---
<div>{{APIRef("HTML DOM")}}</div>

<p>{{Non-standard_header()}}</p>

<p>The <code><strong>msGraphicsTrust()</strong></code> constructor returns an object that provides properties for info on protected video playback.</p>

<p>This proprietary method is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">
var <em>trustObject</em> = media.msGraphicsTrustStatus;

</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>constrictionActive</dt>
 <dd>A read-only property which returns <em>true</em> when protected media is forced to play in a lower resolution.</dd>
 <dt>status</dt>
 <dd>A read-only property which returns an enum with the driver status when playing protected content.</dd>
 </dl>

<h3 id="Inheritance_hierarchy">Inheritance hierarchy</h3>

<p>The MSGraphicsTrust does not inherit from any class or interface.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var trustObject = media.msGraphicsTrustStatus;
</pre>
